MonitorConfigBeanInfo (Oracle - Berkeley DB Java Edition API)
Date: 2014-12-16

com.sleepycat.je.rep.monitor

## Class MonitorConfigBeanInfo

- java.lang.Object
- - java.beans.SimpleBeanInfo
  - - com.sleepycat.util.ConfigBeanInfoBase
    - - com.sleepycat.je.rep.monitor.MonitorConfigBeanInfo

- All Implemented Interfaces:
    BeanInfo

      public class MonitorConfigBeanInfo
      extends ConfigBeanInfoBase

- - ### Field Summary

    - ### Fields inherited from class com.sleepycat.util.ConfigBeanInfoBase

      `getterAndSetterMethods, ignoreMethods, propertiesName`

    - ### Fields inherited from interface java.beans.BeanInfo

      `ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MonitorConfigBeanInfo()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BeanDescriptor` | `getBeanDescriptor()`
    `PropertyDescriptor[]` | `getPropertyDescriptors()`

    - ### Methods inherited from class com.sleepycat.util.ConfigBeanInfoBase

      `getBdescriptor, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getPdescriptor, getPropertiesInfo, getPropertyDescriptors`

    - ### Methods inherited from class java.beans.SimpleBeanInfo

      `getAdditionalBeanInfo, getMethodDescriptors, loadImage`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MonitorConfigBeanInfo

          public MonitorConfigBeanInfo()

  - ### Method Detail

    - #### getBeanDescriptor

          public BeanDescriptor getBeanDescriptor()

      Specified by:
        `getBeanDescriptor` in interface `BeanInfo`
      Overrides:
        `getBeanDescriptor` in class `SimpleBeanInfo`

    - #### getPropertyDescriptors

          public PropertyDescriptor[] getPropertyDescriptors()

      Specified by:
        `getPropertyDescriptors` in interface `BeanInfo`
      Overrides:
        `getPropertyDescriptors` in class `SimpleBeanInfo`

Copyright (c) 2004, 2014 Oracle and/or its affiliates. All rights reserved.